Invite a Member/Signup

For B2B and team-based products, this endpoint sends an invitation to a given email address to join a team. The user's accept membership route POST /u/memberships/{:id}/accept is used to confirm membership creation.

For B2C products, the user must authorize membership creation using the POST /u/memberships route. The endpoint returns a membership creation token which must be passed into this route which confirms membership creation with data and scopes.

This route may also be used to invite members to B2C products. Pass in the email without a team ID to do so.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string

[B2C] User signup token generated by the POST /u/memberships route.

string

[B2B*] Unique team ID to invite user to

string

[B2C/B2B*] Email address of new team member to invite

string
Defaults to member

[B2B*] User membership access level within team - one of: member or admin

scopes
array of strings

[B2B] List of membership scopes to set for this user on the team.

scopes
string

[B2B] URL to send user to with login token (after user creation)

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json